export type Documentation = {
    moduleName: string;
    typedocs: Record<string, string>;
    exported: string[];
    outputDir?: string | undefined;
};
export type ProjectContext = {
    localProjectDir: string;
    outputDir?: string | undefined;
    manifestAbsolutePath: string;
};
/**
 * @typedef {object} Documentation
 * @property {string} moduleName
 * @property {Record<string, string>} Documentation.typedocs
 * @property {string[]} Documentation.exported
 * @property {string} [Documentation.outputDir]
 */
/**
 * A plugin that creates a `typedoc-urls.json` file in the `dist` folder of the
 * current project that contains URLs that map exported symbol names to published
 * typedoc pages.
 *
 * See `unknown-symbol-resolver-plugin.cjs` for how it is consumed.
 *
 * @param {import("typedoc/dist/lib/application").Application} Application
 */
export function load(Application: import("typedoc/dist/lib/application").Application): void;
//# sourceMappingURL=type-indexer-plugin.d.cts.map