/**
 * Binaries we need are normally in `node_modules/.bin` of the root project
 * unless a sibling dependency has caused a different version to be hoisted
 * so check our local node_modules folder first, then fall back to the main
 * project node_modules folder, then fall back to the environment or fail.
 *
 * Happens quite often when old versions of typescript are in the dependency
 * tree.
 *
 * @param {string} bin
 * @returns {string}
 */
export function findBinary(bin: string): string;
export const repoDirectory: string;
export function fromRoot(...p: string[]): string;
export function hasFile(...p: string[]): boolean;
export function fromAegir(...p: string[]): string;
export const hasTsconfig: boolean;
export namespace paths {
    export const dist: string;
    export const src: string;
    export const test: string;
    export { pkgPath as package };
}
export function parseJson(contents: string): any;
export function readJson(filePath: string | number | Buffer | import("url").URL): any;
export function getListrConfig(): {
    renderer: 'verbose';
};
export function exec(command: string, args: string[] | undefined, options?: any): import("execa").ExecaChildProcess<string>;
export function getElectron(): Promise<string>;
export function brotliSize(path: fs.PathLike): Promise<any>;
export function gzipSize(path: fs.PathLike): Promise<any>;
export function otp(): Promise<any>;
export const isESM: boolean;
export const isCJS: boolean;
export const hasTypes: boolean;
export const hasMain: boolean;
export const hasIndexTs: boolean;
export const hasIndexJs: boolean;
export const isMonorepoParent: boolean;
export const hasDocs: boolean;
export const isTypescript: boolean;
export const isTypedESM: boolean;
export const isTypedCJS: boolean;
export const isUntypedCJS: boolean;
export const isMonorepoProject: boolean;
export const pkg: any;
declare const pkgPath: any;
import fs from "fs-extra";
export {};
//# sourceMappingURL=utils.d.ts.map